Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Autocomplete, trending searches, catalogue stats, and the health check.
GET https://api.roscripts.io/v1/suggest?q={q}
{ "result": { "titles": ["Blox Fruits Hub", "Blox Fruits Auto Farm"], "tags": ["blox-fruits"], "games": [{ "placeId": 2753915549, "name": "Blox Fruits" }] } }
GET https://api.roscripts.io/v1/trending/searches
{ "result": { "queries": [ { "query": "blox fruits", "count": 1843 }, { "query": "fisch", "count": 1210 } ] } }
GET https://api.roscripts.io/v1/stats
{ "result": { "scripts": 41203, "games": 1208, "verifiedScripts": 5821, "freeScripts": 39740, "paidScripts": 1463 } }
GET https://api.roscripts.io/v1/health
200
503
{ "result": { "status": "ok", "db": true, "time": "2026-05-31T23:00:00Z" } }
GET https://api.roscripts.io/v1/openapi.json